DCMTK: EctTypes Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
EctTypes Class Reference

General purpose class hiding global functions, constants and types in the Enhanced CT context from the global namespace. More...

## Public Types
enum | E_ImageType1 { E_ImageType1_Empty , E_ImageType1_Invalid , E_ImageType1_Original , E_ImageType1_Derived , E_ImageType1_Mixed }
| Enum containing the Enumerated Values for the first value of tag Image Type (0008,0008) More...
enum | E_ImageType2 { E_ImageType2_Empty , E_ImageType2_Invalid , E_ImageType2_Primary }
| Enum containing the Enumerated Values for the 2nd value of tag Image Type (0008,0008) More...
enum | E_ContentQualification { E_ContentQuali_Empty , E_ContentQuali_Invalid , E_ContQuali_Product , E_ContQuali_Research , E_ContQuali_Service }
| Enum containing the Enumerated Values of tag Content Qualification (0018,9004) More...
enum | E_BurnedInAnnotation { E_BurnedInAnno_Empty , E_BurnedInAnno_Invalid , E_BurnedInAnno_No }
| Enum containing the Enumerated Values of tag Burned In Annotation (0028,0301) More...
enum | E_RecognizableVisualFeatures { E_RecoVisFeatures_Empty , E_RecoVisFeatures_Invalid , E_RecoVisFeatures_Yes , E_RecoVisFeatures_No }
| Enum containing the Enumerated Values of tag Recognizable Visual Features (0028,0302) More...
enum | E_PixelPresentation { E_PixelPres_Empty , E_PixelPres_Invalid , E_PixelPres_Color , E_PixelPres_Monochrome , E_PixelPres_Mixed , E_PixelPres_TrueColor }
| Enum containing the Enumerated Values of tag Pixel Presentation (0008,9205) More...
enum | E_VolumetricProperties { E_VolProps_Empty , E_VolProps_Invalid , E_VolProps_Volume , E_VolProps_Sampled , E_VolProps_Distorted , E_VolProps_Mixed }
| Enum containing the Enumerated Values of tag Volumetric Properties (0008,9206) More...

## Static Public Member Functions
static OFString | imageType1ToStr (const E_ImageType1 value)
| Returns related string for given enum value.
static OFString | imageType2ToStr (const E_ImageType2 value)
| Returns related string for given enum value.
static OFString | contentQualiToStr (const E_ContentQualification value)
| Returns related string for given enum value.
static OFString | burnedAnnoToStr (const E_BurnedInAnnotation value)
| Returns related string for given enum value.
static OFString | pixelPresToStr (const E_PixelPresentation value)
| Returns related string for given enum value.
static OFString | volPropsToStr (const E_VolumetricProperties value)
| Returns related string for given enum value.
static OFString | recoVisFeaturesToStr (const E_RecognizableVisualFeatures value)
| Returns related string for given enum value.

## Static Public Attributes
static const OFString | DT_ImageType3_Angio
| Defined Term "ANGIO" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_Cardiac
| Defined Term "CARDIAC" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_CardiacGated
| Defined Term "CARDIAC_GATED" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_CardRespGated
| Defined Term "CARDRESP_GATED" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_Dynamic
| Defined Term "DYNAMIC" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_Fluoroscopy
| Defined Term "FLUOROSCOPY" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_Localizer
| Defined Term "LOCALIZER" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_Motion
| Defined Term "MOTION" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_Perfusion
| Defined Term "PERFUSION" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_PreContrast
| Defined Term "PRE_CONTRAST" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_PostContrast
| Defined Term "POST_CONTRAST" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_RespGated
| Defined Term "RESP_GATED" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_Rest
| Defined Term "REST" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_Static
| Defined Term "STATIC" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_Stress
| Defined Term "STRESS" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_Volume
| Defined Term "VOLUME" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_NonParallel
| Defined Term "NON_PARALLEL" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType3_WholeBody
| Defined Term "WHOLE_BODY" for 3rd value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Addition
| Defined Term "ADDITION" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Division
| Defined Term "DIVISION" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Masked
| Defined Term "MASKED" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Maximum
| Defined Term "MAXIMUM" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Mean
| Defined Term "MEAN" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Minimum
| Defined Term "MINIMUM" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Multiplication
| Defined Term "MULTIPLICATION" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Resampled
| Defined Term "RESAMPLED" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Std_Deviation
| Defined Term "STD_DEVIATION" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Subtraction
| Defined Term "SUBTRACTION" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_None
| Defined Term "NONE" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Quantity
| Defined Term "QUANTITY" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_ImageType4_Mixed
| Defined Term "MIXED" for 4th value of tag Image Type (0008,0008)
static const OFString | DT_VolBasedCalcTechnique_MaxIp
| Defined Term "MAX_IP" for tag Volume Based Calculation Technique.
static const OFString | DT_VolBasedCalcTechnique_MinIp
| Defined Term "MIN_IP" for tag Volume Based Calculation Technique.
static const OFString | DT_VolBasedCalcTechnique_VolumeRender
| Defined Term "VOLUME_RENDER" for tag Volume Based Calculation Technique.
static const OFString | DT_VolBasedCalcTechnique_SurfaceRender
| Defined Term "SURFACE_RENDER" for tag Volume Based Calculation Technique.
static const OFString | DT_VolBasedCalcTechnique_Mpr
| Defined Term "MPR" for tag Volume Based Calculation Technique.
static const OFString | DT_VolBasedCalcTechnique_CurvedMpr
| Defined Term "CURVED_MPR" for tag Volume Based Calculation Technique.
static const OFString | DT_VolBasedCalcTechnique_None
| Defined Term "NONE" for tag Volume Based Calculation Technique.
static const OFString | DT_VolBasedCalcTechnique_Mixed
| Defined Term "MIXED" for tag Volume Based Calculation Technique.

## Detailed Description

General purpose class hiding global functions, constants and types in the Enhanced CT context from the global namespace.

## Member Enumeration Documentation

## ◆ E_BurnedInAnnotation

enum EctTypes::E_BurnedInAnnotation

Enum containing the Enumerated Values of tag Burned In Annotation (0028,0301)

Enumerator
E_BurnedInAnno_Empty | Denotes an empty attribute value (not permitted but may be found when reading an invalid object)
E_BurnedInAnno_Invalid | Denotes an invalid attribute value (not permitted but may be found when reading an invalid object)
E_BurnedInAnno_No | Reflects the value "NO" which is the only valid value permitted.

## ◆ E_ContentQualification

enum EctTypes::E_ContentQualification

Enum containing the Enumerated Values of tag Content Qualification (0018,9004)

Enumerator
E_ContentQuali_Empty | Denotes an empty attribute value (not permitted but may be found when reading an invalid object)
E_ContentQuali_Invalid | Denotes an invalid attribute value (not permitted but may be found when reading an invalid object)
E_ContQuali_Product | Reflects the value "PRODUCT" which is the only valid value permitted.
E_ContQuali_Research | Reflects the value "RESEARCH" which is the only valid value permitted.
E_ContQuali_Service | Reflects the value "SERVICE" which is the only valid value permitted.

## ◆ E_ImageType1

enum EctTypes::E_ImageType1

Enum containing the Enumerated Values for the first value of tag Image Type (0008,0008)

Enumerator
E_ImageType1_Empty | Denotes an empty attribute value (not permitted but may be found when reading an invalid object)
E_ImageType1_Invalid | Denotes any invalid attribute value (not permitted but may be found when reading an invalid object)
E_ImageType1_Original | Reflects the value "ORIGINAL".
E_ImageType1_Derived | Reflects the value "DERIVED".
E_ImageType1_Mixed | Reflects the value "MIXED".

## ◆ E_ImageType2

enum EctTypes::E_ImageType2

Enum containing the Enumerated Values for the 2nd value of tag Image Type (0008,0008)

Enumerator
E_ImageType2_Empty | Denotes an empty attribute value (not permitted but may be found when reading an invalid object)
E_ImageType2_Invalid | Denotes any invalid attribute value (not permitted but may be found when reading an invalid object)
E_ImageType2_Primary | Reflects the value "PRIMARY" which is the only valid value permitted.

## ◆ E_PixelPresentation

enum EctTypes::E_PixelPresentation

Enum containing the Enumerated Values of tag Pixel Presentation (0008,9205)

Enumerator
E_PixelPres_Empty | Denotes an empty attribute value (not permitted but may be found when reading an invalid object)
E_PixelPres_Invalid | Denotes an invalid attribute value (not permitted but may be found when reading an invalid object)
E_PixelPres_Color | Reflects the value "COLOR".
E_PixelPres_Monochrome | Reflects the value "MONOCHROME".
E_PixelPres_Mixed | Reflects the value "MIXED".
E_PixelPres_TrueColor | Reflects the value "TRUE_COLOR".

## ◆ E_RecognizableVisualFeatures

enum EctTypes::E_RecognizableVisualFeatures

Enum containing the Enumerated Values of tag Recognizable Visual Features (0028,0302)

Enumerator
E_RecoVisFeatures_Empty | Denotes an empty attribute value (not permitted but may be found when reading an invalid object)
E_RecoVisFeatures_Invalid | Denotes an invalid attribute value (not permitted but may be found when reading an invalid object)
E_RecoVisFeatures_Yes | Reflects the value "YES".
E_RecoVisFeatures_No | Reflects the value "NO".

## ◆ E_VolumetricProperties

enum EctTypes::E_VolumetricProperties

Enum containing the Enumerated Values of tag Volumetric Properties (0008,9206)

Enumerator
E_VolProps_Empty | Denotes an empty attribute value (not permitted but may be found when reading an invalid object)
E_VolProps_Invalid | Denotes an invalid attribute value (not permitted but may be found when reading an invalid object)
E_VolProps_Volume | Reflects the value "VOLUME".
E_VolProps_Sampled | Reflects the value "SAMPLED".
E_VolProps_Distorted | Reflects the value "DISTORTED".
E_VolProps_Mixed | Reflects the value "MIXED".

## Member Function Documentation

## ◆ burnedAnnoToStr()

static OFString EctTypes::burnedAnnoToStr | ( | const E_BurnedInAnnotation | value | ) |
| static

Returns related string for given enum value.

Returns empty string for invalid or empty values.

Parameters

  value | The enum value

Returns
  The related string value

## ◆ contentQualiToStr()

static OFString EctTypes::contentQualiToStr | ( | const E_ContentQualification | value | ) |
| static

Returns related string for given enum value.

Returns empty string for invalid or empty values.

Parameters

  value | The enum value

Returns
  The related string value

## ◆ imageType1ToStr()

static OFString EctTypes::imageType1ToStr | ( | const E_ImageType1 | value | ) |
| static

Returns related string for given enum value.

Returns empty string for invalid or empty values.

Parameters

  value | The enum value

Returns
  The related string value

## ◆ imageType2ToStr()

static OFString EctTypes::imageType2ToStr | ( | const E_ImageType2 | value | ) |
| static

Returns related string for given enum value.

Returns empty string for invalid or empty values.

Parameters

  value | The enum value

Returns
  The related string value

## ◆ pixelPresToStr()

static OFString EctTypes::pixelPresToStr | ( | const E_PixelPresentation | value | ) |
| static

Returns related string for given enum value.

Returns empty string for invalid or empty values.

Parameters

  value | The enum value

Returns
  The related string value

## ◆ recoVisFeaturesToStr()

static OFString EctTypes::recoVisFeaturesToStr | ( | const E_RecognizableVisualFeatures | value | ) |
| static

Returns related string for given enum value.

Returns empty string for invalid or empty values.

Parameters

  value | The enum value

Returns
  The related string value

## ◆ volPropsToStr()

static OFString EctTypes::volPropsToStr | ( | const E_VolumetricProperties | value | ) |
| static

Returns related string for given enum value.

Returns empty string for invalid or empty values.

Parameters

  value | The enum value

Returns
  The related string value

The documentation for this class was generated from the following file:

- dcmect/include/dcmtk/dcmect/types.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2